Docs Native format /minimax/v1/voice_clone
API reference

Sound reproduction

Replicate the sound based on the uploaded audio file and generate a custom voice_id. https://platform.minimaxi.com/docs/api-reference/voice-cloning-clone The uploaded audio file format must be: mp3, m4a, wav format The…

POST/minimax/v1/voice_clone

Body Parametersapplication/json

aigc_watermark boolean

Whether to add an audio rhythm identifier at the end of the audition audio

clone_prompt object

Sample audio object to enhance similarity and stability Obtained from uploading sample audio

properties
prompt_audio* integer

Audio prompt / reference audio

prompt_text* string

Text prompt

file_id* integer

The file_id of the audio to be copied is obtained through the file upload interface. Audio requirements: mp3/m4a/wav format, 10 seconds-5 minutes, <20MB

language_boost string

Enhanced recognition of specified languages/dialects. Can be set to auto to automatically determine, or specify a specific language

model string

Listen to the speech models used in the audio: speech-2.6-hd, speech-2.6-turbo, speech-02-hd, speech-02-turbo

need_noise_reduction boolean

Whether to turn on noise reduction

need_volume_normalization boolean

Whether to enable volume normalization

text string

Reproduce the audition text (limited to 1000 characters, support modal particles tags)

voice_id* string

Custom sound ID (length 8-256, the first character must be a letter, numbers/letters/-/ are allowed, the last character cannot be -/)

Responses

200 success application/json
response-200 object
properties
base_resp object
400 Bad request or validation failed application/json
response-400 object
properties
error* object
401 Missing or invalid API Key application/json
response-401 object
Request Body Example Sound reproduction
1{
2"file_id": 12345678,
3"voice_id": "my-custom-voice-001"
4}
Code Sample cURL
1curl -X POST "https://api.digislash.com/minimax/v1/voice_clone" \
2-H "Authorization: Bearer <API Key>" \
3-H "Content-Type: application/json" \
4-d '{
5"file_id": 12345678,
6"voice_id": "my-custom-voice-001"
7}'
Response
1▼{
2▼"base_resp": {
3"status_code": 0,
4"status_msg": "success"
5}
6}